From e273172bbafedca36984fc40f4aa6c44b79ac2ef Mon Sep 17 00:00:00 2001
From: Stephan Hartmann <stha09@googlemail.com>
Date: Fri, 25 Dec 2020 09:10:32 +0000
Subject: [PATCH] shim_headers: fix outputs generation

---
 build/shim_headers.gni | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

diff --git a/build/shim_headers.gni b/build/shim_headers.gni
index 0900cba..5138647 100644
--- a/build/shim_headers.gni
+++ b/build/shim_headers.gni
@@ -6,6 +6,8 @@ template("shim_headers") {
   action_name = "gen_${target_name}"
   config_name = "${target_name}_config"
   shim_headers_path = "${root_gen_dir}/shim_headers/${target_name}"
+  shim_root_path    = rebase_path(invoker.root_path)
+  shim_rel_path     = rebase_path("${shim_root_path}", rebase_path("//"))
 
   config(config_name) {
     include_dirs = [ shim_headers_path ]
@@ -16,7 +18,7 @@ template("shim_headers") {
     args = [
       "--generate",
       "--headers-root",
-      rebase_path(invoker.root_path),
+      "${shim_root_path}",
       "--output-directory",
       rebase_path(shim_headers_path),
     ]
@@ -27,9 +29,10 @@ template("shim_headers") {
       ]
     }
     args += invoker.headers
-
-    outputs = process_file_template(invoker.headers,
-                                    "${shim_headers_path}/{{source_file_part}}")
+    outputs = []
+    foreach(shim_header, invoker.headers) {
+      outputs += [ "${shim_headers_path}/${shim_rel_path}/" + shim_header ]
+    }
   }
 
   group(target_name) {
-- 
2.26.2

